gr::mapper::demapper_impl Class Reference

`#include <demapper_impl.h>`

Inheritance diagram for gr::mapper::demapper_impl:
[legend]

## Public Member Functions

| demapper_impl (modtype_t modtype, std::vector< int > symbol_values)
| ~demapper_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::mapper::demapper
typedef boost::shared_ptr< demapper > | sptr
Static Public Member Functions inherited from gr::mapper::demapper
static sptr | make (modtype_t modtype, std::vector< int > symbol_values)
| Return a shared_ptr to a new instance of mapper::demapper. More...

## Constructor & Destructor Documentation

## demapper_impl()

gr::mapper::demapper_impl::demapper_impl | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values
| ) |  |

## ~demapper_impl()

gr::mapper::demapper_impl::~demapper_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::mapper::demapper_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- demapper_impl.h